summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2010-10-24 22:01:11 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:09 -0500
commit6c870aa6aca8d6401ce65bcd49a7dbd6f6a5f31e (patch)
tree372f4311f4d2393d231c7a49ff59ca37312c0c95 /audio
parentb0d0bf5cbafa4c5bbce56f4ce02a4e498f822a6c (diff)
downloadslackbuilds-6c870aa6aca8d6401ce65bcd49a7dbd6f6a5f31e.tar.gz
slackbuilds-6c870aa6aca8d6401ce65bcd49a7dbd6f6a5f31e.tar.xz
audio/podget: Added (simple podcast aggregator)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/podget/README9
-rw-r--r--audio/podget/podget.SlackBuild63
-rw-r--r--audio/podget/podget.info10
-rw-r--r--audio/podget/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/audio/podget/README b/audio/podget/README
new file mode 100644
index 0000000000..36fc53fd1d
--- /dev/null
+++ b/audio/podget/README
@@ -0,0 +1,9 @@
+Podget is a simple podcast aggregator optimized for running as a scheduled
+background job (i.e. cron). It features support for downloading podcasts
+from RSS & XML feeds, for sorting the files into folders & categories, for
+importing URLs from iTunes PCAST files & OPML lists automatic M3U & ASX
+playlist creation, and automatic cleanup of old files. It also features
+automatic UTF-16 conversion for podcasts hosted on MS Windows servers.
+
+Run podget once to install the users configuration files to $HOME/.podget,
+and then customize them there.
diff --git a/audio/podget/podget.SlackBuild b/audio/podget/podget.SlackBuild
new file mode 100644
index 0000000000..3a0918b61d
--- /dev/null
+++ b/audio/podget/podget.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for podget
+
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=podget
+VERSION=0.6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make
+prefix=/usr make DESTDIR=$PKG install
+
+mv $PKG/usr/share/man $PKG/usr/man
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/scripts
+cp -a COPYING Changelog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r SCRIPTS/* $PKG/usr/doc/$PRGNAM-$VERSION/scripts
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/podget/podget.info b/audio/podget/podget.info
new file mode 100644
index 0000000000..03674cf206
--- /dev/null
+++ b/audio/podget/podget.info
@@ -0,0 +1,10 @@
+PRGNAM="podget"
+VERSION="0.6"
+HOMEPAGE="http://podget.sourceforge.net/index.php"
+DOWNLOAD="http://downloads.sourceforge.net/project/podget/podget/podget-0.6/podget-0.6.tar.gz"
+MD5SUM="d7d379271fecea1a474e6deaf0c8c373"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/audio/podget/slack-desc b/audio/podget/slack-desc
new file mode 100644
index 0000000000..f233f5a5df
--- /dev/null
+++ b/audio/podget/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+podget: podget (simple podcast aggregator)
+podget:
+podget: Podget is a simple podcast aggregator optimized for running as a
+podget: scheduled background job (i.e. cron). It features support for
+podget: downloading podcasts from RSS & XML feeds, for sorting the files into
+podget: folders & categories, for importing URLs from iTunes PCAST files &
+podget: OPML lists, M3U & ASX playlist creation, and cleanup of old files.
+podget:
+podget: See /usr/doc/podget-*/scripts for additional helper scripts.
+podget:
+podget: Homepage: http://podget.sourceforge.net/index.php \ No newline at end of file